UserMetricsInput Namespace Reference

The user metrics input library namespace. More...

## Classes

class | Metric
| This class represents a single user metric. More...
class | MetricManager
| Central place for registering and updating user metrics. More...
class | MetricParameters
class | MetricUpdate
| An update to a Metric. More...

## Typedefs

typedef QSharedPointer< Metric > | MetricPtr
typedef QScopedPointer< MetricManager > | MetricManagerPtr
| Shared pointer for the MetricManager. More...
typedef QScopedPointer< MetricUpdate > | MetricUpdatePtr
| Useful to store your instance of MetricUpdate in. More...

## Enumerations

enum | MetricType { USER, SYSTEM }

## Detailed Description

The user metrics input library namespace.

## Typedef Documentation

typedef QScopedPointer<MetricManager> UserMetricsInput::MetricManagerPtr

Shared pointer for the MetricManager.

typedef QSharedPointer<Metric> UserMetricsInput::MetricPtr

The instances of Metric are implicitly shared.

typedef QScopedPointer<MetricUpdate> UserMetricsInput::MetricUpdatePtr

Useful to store your instance of MetricUpdate in.

## Enumeration Type Documentation

enum UserMetricsInput::MetricType

Enumerator
USER |
SYSTEM |